module Fontconfig_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libfontconfig
const libfontconfig_path = "/usr/lib/libfontconfig.so.1"
libfontconfig_handle = C_NULL
const libfontconfig = "libfontconfig.so.1"
export fc_cache
const fc_cache_path = "/usr/bin/fc-cache"
fc_cache(f::Function; kw...) = f(fc_cache_path)
export fc_cat
const fc_cat_path = "/usr/bin/fc-cat"
fc_cat(f::Function; kw...) = f(fc_cat_path)
export fc_conflist
const fc_conflist_path = "/usr/bin/fc-conflist"
fc_conflist(f::Function; kw...) = f(fc_conflist_path)
export fc_list
const fc_list_path = "/usr/bin/fc-list"
fc_list(f::Function; kw...) = f(fc_list_path)
export fc_match
const fc_match_path = "/usr/bin/fc-match"
fc_match(f::Function; kw...) = f(fc_match_path)
export fc_pattern
const fc_pattern_path = "/usr/bin/fc-pattern"
fc_pattern(f::Function; kw...) = f(fc_pattern_path)
export fc_query
const fc_query_path = "/usr/bin/fc-query"
fc_query(f::Function; kw...) = f(fc_query_path)
export fc_scan
const fc_scan_path = "/usr/bin/fc-scan"
fc_scan(f::Function; kw...) = f(fc_scan_path)
export fc_validate
const fc_validate_path = "/usr/bin/fc-validate"
fc_validate(f::Function; kw...) = f(fc_validate_path)
export fonts_conf
const fonts_conf_path = "/etc/fonts/fonts.conf"
const fonts_conf = fonts_conf_path
get_fonts_conf() = fonts_conf_path
function __init__()
    global libfontconfig_handle = dlopen(libfontconfig_path)
end
end
